List paid recommendation partner reports OAuth Scope: posts:read
List paid recommendation partner reports OAuth Scope: posts:read
This feature is currently in beta and the API is subject to change.
Report spend and subscribers gained for each of your publication’s paid recommendation partnerships over a date range. Subscribers count toward the day they subscribed, and spend counts toward the day its subscriber subscribed, so the numbers for a range can change as pending subscribers are verified. Dates are whole days in UTC.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
Query parameters
The first day of the range in YYYY-MM-DD format.
The last day of the range in YYYY-MM-DD format. Must be on or after start_date.
Use the opaque cursor token from next_cursor to fetch the next page of results.
Response
Offset pagination only: The page number the results are from. Only present when using deprecated offset-based pagination.
Offset pagination only: The total number of pages. Only present when using deprecated offset-based pagination.
Cursor pagination only: Indicates whether there are more results available after the current page.
Cursor pagination only: The cursor token to use for fetching the next page of results. This will be null if has_more is false.